Create an excluded subledger application
post
/fscmRestApi/resources/11.13.18.05/jointVentures/{jointVentureId}/child/excludedSubledgers
Request
Path Parameters
-
jointVentureId(required): integer(int64)
The unique identifier of the joint venture.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
applicationShortName: string
Title:
Subledger ApplicationMaximum Length:4000The short name of the excluded subledger application.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : jointVentures-excludedSubledgers-item-response
Type:
Show Source
object-
application: string
Title:
Subledger Application NameRead Only:trueMaximum Length:4000The name of the excluded subledger application. -
applicationDescription: string
Title:
DescriptionRead Only:trueMaximum Length:256The description of the excluded subledger application. -
applicationShortName: string
Title:
Subledger ApplicationMaximum Length:4000The short name of the excluded subledger application. -
createdBy: string
Title:
Created ByRead Only:trueMaximum Length:64The user who created the resource item. -
creationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date and time when the resource item was created. -
excludedSubledgerId: integer
(int64)
Title:
Excluded Subledger IDRead Only:trueThe unique identifier of the excluded subledger application. -
lastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date and time when the resource item was last updated. -
lastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64The user who last updated the resource item. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
The following example shows how to create an excluded subledger application for a specific joint venture by submitting a POST request on the REST resource using cURL.
curl -i -u "username:password" -H "Content-Type: application/json" -X POST "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/jointVentures/300100561278110/child/excludedSubledgers"
Request Body Example
The following shows an example of the request body in JSON format.
{
"applicationShortName": "COST_MNGT",
"applicationDescription": "Subledger application for cost accounting transactions"
}
Response Body Example
The following shows an example of the response body in JSON format.
{
"excludedSubledgerId": 300100647537552,
"applicationShortName": "COST_MNGT",
"application": "Cost Management",
"applicationDescription": "Subledger application for cost accounting transactions",
"createdBy": "username",
"creationDate": "2026-03-06T06:27:17+00:00",
"lastUpdatedBy": "username",
"lastUpdateDate": "2026-03-06T06:27:17.016+00:00",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/jointVentures/300100561278110/child/excludedSubledgers/300100647537552",
"name": "excludedSubledgers",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/jointVentures/300100561278110/child/excludedSubledgers/300100647537552",
"name": "excludedSubledgers",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/jointVentures/300100561278110",
"name": "jointVentures",
"kind": "item"
}
]
}